%global domain          github.com
%global org             kata-containers
%global repo            proxy
%global download        %{domain}/%{org}/%{repo}
%global importname      %{download}

# Find debug informations from a go build (will be better in F31)
%global gobuild go build -ldflags=-linkmode=external

Name:      kata-%{repo}
Version:   1.8.0
Release:   1%{?dist}
Url:       https://%{download}
Source0:   https://%{download}/archive/%{version}/%{name}-%{version}.tar.gz
Summary:   Proxy for Kata Containers
Group:     Development/Tools
License:   ASL 2.0

# F31: Add BuildRequires: go-rpm-macros
BuildRequires: %{?suse_version:go1.12} %{!?suse_version:golang}

Provides: bundled(golang(github.com/davecgh/go-spew)) = v1.1.0
Provides: bundled(golang(github.com/hashicorp/yamux)) = f5742cb6
Provides: bundled(golang(github.com/pmezard/go-difflib)) = v1.0.0
Provides: bundled(golang(github.com/sirupsen/logrus)) = v1.0.4
Provides: bundled(golang(github.com/stretchr/testify)) = v1.2.1
Provides: bundled(golang(golang.org/x/crypto)) = 13931e22f9e72ea58bb73048bc752b48c6d4d4ac
Provides: bundled(golang(golang.org/x/sys)) = 810d7000345868fc619eb81f46307107118f4ae1

%description
A proxy for the Kata Containers project

The Kata Containers runtime creates a virtual machine (VM) to isolate
a set of container workloads. The VM requires a guest kernel and a
guest operating system ("guest OS") to boot and create containers
inside the guest environment. This package contains the tools to create
guest OS images.

The kata-proxy is part of the Kata Containers project. For more
information on how the proxy fits into the Kata Containers
architecture, refer to the Kata Containers architecture documentation.

%prep
%autosetup -n %{repo}-%{version}

%build
# Adjust for go build requirements
# Future: Use %gopkginstall
# export GOROOT="$(pwd)/go"
export GOPATH="$(pwd)/go"

mkdir go
mv vendor go/src
mkdir -p go/src/%{domain}/%{org}
ln -s $(pwd)/../%{repo}-%{version} go/src/%{importname}
cd go/src/%{importname}

%gobuild -o bin/%{name} %{importname} 

%install
# install binaries
install -dp %{buildroot}%{_libexecdir}/kata-containers
install -p -m 755 bin/%{name} %{buildroot}%{_libexecdir}/kata-containers

%clean

%files
%license LICENSE
%doc CODE_OF_CONDUCT.md CONTRIBUTING.md README.md
%dir %{_libexecdir}/kata-containers
%{_libexecdir}/kata-containers/%{name}

%changelog
* Tue Jul 30 2019 Christophe de Dinechin <dinechin@redhat.com> - 1.8.0-1
- Update to 1.8.0 release

* Fri Jul 12 2019 Christophe de Dinechin <dinechin@redhat.com> - 1.7.3-1
- Update to 1.7.3 release, cleanup spec file

* Wed Nov 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-5.gitd364b2e
- build for all arches

* Wed Nov 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-4.gitd364b2e
- no need to specify systemd as BR

* Wed Nov 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-3.gitd364b2e
- no need to specify make as BR

* Mon Nov 12 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-2.gitd364b2e
- bundled Provides

* Sat Nov 10 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-1.gitd364b2e
- bump to v1.3.1
- built commit d364b2e

* Thu Jun 14 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0-1.gita69326b
- first build (ready for Fedora review)
